sysklogd: fix build on musl
[buildroot-gz.git] / package / rpi-userland / S94vcfiled
blob4d27b91baef228b2870ad94fa8df57bb74ced309
1 #!/bin/sh
3 NAME=vcfiled
4 DESC="VideoCore file server daemon $NAME"
5 DAEMON="/usr/sbin/$NAME"
6 DAEMON_ARGS=""
7 CFGFILE="/etc/default/$NAME"
8 PIDFILE="/var/run/$NAME.pid"
10 # Read configuration variable file if it is present
11 [ -r "$CFGFILE" ] && . "$CFGFILE"
13 start()
15 printf "Starting $DESC: "
16 start-stop-daemon -S -q -p "$PIDFILE" -x "$DAEMON" -- $DAEMON_ARGS &&
17 echo "done" || echo "failed"
20 stop()
22 printf "Stopping $DESC: "
23 if start-stop-daemon -K -q -R TERM/30/KILL/5 -p "$PIDFILE" -n "$NAME"; then
24 # This daemon does not remove its PID file when it exits.
25 rm -f "$PIDFILE"
26 echo "done"
27 else
28 echo "failed"
32 case "$1" in
33 start)
34 start
36 stop)
37 stop
39 restart|reload)
40 stop
41 start
44 echo "Usage: $0 {start|stop|restart|reload}" >&2
45 exit 1
47 esac